# Uses of Interface
org.eclipse.emf.cdo.common.util.CDOQueryInfo

Packages that use CDOQueryInfo
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOQueryInfo in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type CDOQueryInfo
Modifier and Type
Method
Description
`void`
IQueryHandler.`executeQuery(CDOQueryInfo info, IQueryContext context)`
Executes the `query` represented by the specified `query info` by `passing` the query results to the query execution engine represented by the specified `execution context`.
`IQueryHandler`
IQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`
`boolean`
IQueryHandler.PotentiallySlow.`isSlow(CDOQueryInfo info)`

## Uses of CDOQueryInfo in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDOQueryInfo
Modifier and Type
Method
Description
`protected org.eclipse.ocl.Query<EClassifier,EClass,EObject>`
OCLQueryHandler.`createQuery(CDOView view, CDOQueryInfo info, OCLQueryHandler.ContextParameter contextParameter, org.eclipse.ocl.OCL<?,EClassifier,?,?,?,?,?,?,?,org.eclipse.ocl.ecore.Constraint,EClass,EObject> ocl)`
`void`
OCLQueryHandler.`executeQuery(CDOQueryInfo info, IQueryContext context)`
`protected OCLQueryHandler.ContextParameter`
OCLQueryHandler.`getContextParameter(CDOQueryInfo info, CDOView view)`
Constructors in org.eclipse.emf.cdo.server.ocl with parameters of type CDOQueryInfo
Modifier
Constructor
Description
``
`ContextParameter(CDOView view, CDOQueryInfo info)`

## Uses of CDOQueryInfo in org.eclipse.emf.cdo.spi.common

Methods in org.eclipse.emf.cdo.spi.common that return CDOQueryInfo
Modifier and Type
Method
Description
`CDOQueryInfo`
AbstractQueryResult.`getQueryInfo()`
Constructors in org.eclipse.emf.cdo.spi.common with parameters of type CDOQueryInfo
Modifier
Constructor
Description
``
`AbstractQueryResult(CDOCommonView view, CDOQueryInfo queryInfo, int queryID)`

## Uses of CDOQueryInfo in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOQueryInfo
Modifier and Type
Method
Description
`CDOQueryInfo`
InternalQueryResult.`getQueryInfo()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOQueryInfo
Modifier and Type
Method
Description
`InternalQueryResult`
InternalQueryManager.`execute(InternalView view, CDOQueryInfo queryInfo)`
`IQueryHandler`
ContainerQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`
If the meaning of this type isn't clear, there really should be more of a description here...
`IQueryHandler`
FactoriesQueryHandlerProvider.`getQueryHandler(CDOQueryInfo info)`

## Uses of CDOQueryInfo in org.eclipse.emf.cdo.view

Subinterfaces of CDOQueryInfo in org.eclipse.emf.cdo.view
Modifier and Type
Interface
Description
`interface`
`CDOQuery`
Provides access to the information that specifies a query from a `view` to a `repository` and to the results of the remote query execution;

## Uses of CDOQueryInfo in org.eclipse.emf.spi.cdo

Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOQueryInfo
Modifier
Constructor
Description
``
`AbstractQueryIterator(CDOView view, CDOQueryInfo queryInfo)`